Description

I've used audacious since the beginning, and I've always used it in WinAMP-skin mode, with the main player window hidden,

effectively making the playlist window the "real" window. Then I've used KDEs global shortcuts to control next, previous, etc. This in

essence turns Audacious into an excellent light-weight, shortcut-controlled player.

However, Audacious as shipped in Ubuntu was very buggy. It simply kept crashing with the Oxygen-GTK theme. I've reported this to

the Ubuntu bugtracker, and I have backtraces if you are interested.

The upshot of this is that I found a PPA (Package Archive) with considerably newer Audacious builds. I'm currently 3.2.1, which does

not seem to crash. However, it no longer works the same! If I click "hide player window" in the menu, the playlist window is gone as

well! It seems that these 2 windows also use the same X11 title, making it impossible to use global shortcuts, since they target more

than 1 window. This change in title might be related to the regression. It seems that the playlist used to have its own ID, but no longer

has.

Audacious know has a Global Shortcuts plugin, I know, but I've used it since long before it got that. I've now disabled my shortcuts,

and enabled the Global Shortcuts plugin, which is a workaround.

I really hope this can be fixed, it's quite a usage regression from the older Ubuntu version (except for the crashing). I'm currently on

the GTK skin, but I'd like to go back to what I'm used to.

History

#1 - April 02, 2012 00:51 - John Lindgren

- Tracker changed from Bug to Feature

- Subject changed from Regression: In classic-skin mode, it is no longer possible to hide the player window without also hiding the playlist window! to

Allow hiding main window without also hiding playlist window

- Target version deleted (3.2.3)

- Category changed from core to plugins/skins

Actually this is intended, that all three windows are hidden when the main window is hidden.  Any issue with keyboard shortcuts is probably unrelated;

you should open a separate report.

#2 - April 02, 2012 12:23 - Christian Iversen

I must ask, why is this intended? It breaks a perfectly good use case, and what do you get in return? Nothing? Is there some not-so-obvious

advantage to forcing all windows to hide with the main window?

#3 - April 02, 2012 22:03 - John Lindgren

The advantage would be that you don't have to hide all three separately.

#4 - April 02, 2012 22:06 - Christian Iversen

But there is already a Global Shortcut for "hide/show app", why make it impossible to show only the playlist? Can't I convince you to make it optional,

at least? :)

You're ruining a perfectly good use case, that has worked since XMMS. Pretty please? :-)
#5 - January 29, 2017 19:59 - John Lindgren

- Status changed from New to Rejected

Closing some old requests that no one has had time to implement.
